package com.gh.gamecenter.entity

import android.os.Parcelable
import com.gh.gamecenter.common.entity.LinkEntity
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class PackageDialogEntity(
    @SerializedName("_id")
    val id: String = "",
    val title: String = "",
    val content: String = "",
    @SerializedName("detection_objects")
    val detectionObjects: ArrayList<DetectionObjectEntity> = arrayListOf(),
    @SerializedName("link_hint_text")
    val linkHintText: String = "",
    val links: ArrayList<LinkEntity> = arrayListOf(),
    val level: String = "HINT_SKIP"// 弹窗级别，HINT_SKIP(提示且跳转)、ALWAYS_HINT(仅提示（每次提示）)、OPTIONAL_HINT(仅提示（可不再提示）)、OPTIONAL_CURRENT_HINT(仅提示（可关闭当前游戏的弹窗)
) : Parcelable

@Parcelize
data class DetectionObjectEntity(
    val text: String = "",
    val packages: ArrayList<String> = arrayListOf(),
    @SerializedName("assign_download")
    var assignDownload: ArrayList<Int> = arrayListOf()
) : Parcelable
